/*global $ */
$(function () {
    'use strict';

    var configs = [];

    configs['link'] = {
        toolbar: [
            ['insert', ['link', 'unlink']]
        ],
        followingToolbar: true,
        disableDragAndDrop: true
    };

    configs['mini'] = {
        toolbar: [
            ['font', ['bold', 'italic']],
            ['position', ['superscript']],
            ['insert', ['link', 'unlink']],
            ['view', ['codeview']]
        ],
        followingToolbar: true,
        disableDragAndDrop: true
    };

    configs['mini-list'] = {
        toolbar: [
            ['font', ['bold', 'italic']],
            ['position', ['superscript']],
            ['para', ['ul', 'ol']],
            ['insert', ['link', 'unlink']],
            ['view', ['codeview']]
        ],
        followingToolbar: true,
        disableDragAndDrop: true
    };


    configs['full'] = {
        toolbar: [
            ['style', ['style']],
            ['font', ['bold', 'italic']],
            ['position', ['superscript', 'subscript']],
            ['para', ['ul', 'ol']],
            ['table', ['table']],
            ['insert', ['link', 'unlink', 'picture', 'video']],
            ['view', ['codeview']]
        ],
        styleTags: [
            'p',
            'blockquote',
            'pre',
            'h2',
            'h3',
            'h4'
        ],
        followingToolbar: true,
        disableDragAndDrop: true
    };


    configs['default'] = {
        toolbar: [
            ['style', ['style']],
            ['font', ['bold', 'italic']],
            ['position', ['superscript', 'subscript']],
            ['para', ['ul', 'ol']],
            ['view', ['codeview']]
        ],
        styleTags: [
            'p',
            'blockquote',
            'pre',
            'h2',
            'h3',
            'h4'
        ],
        followingToolbar: true,
        disableDragAndDrop: true
    };

    $('[data-provider="summernote"]').each(function () {
        var config = $(this).attr('data-summernote-config'),
            locale = $('#summernote-locale').data('locale'),
            options = {};
        config = config || 'default';
        options = configs[config];
        // if locale is undefined, summernote use default (en-US)
        options['lang'] = locale;
        $(this).summernote(options);
    });

    // https://github.com/summernote/summernote/issues/4170
    $("button[data-toggle='dropdown']").each(function (index) {
        $(this).removeAttr("data-toggle").attr("data-bs-toggle", "dropdown");
    });

    window.SUMMERNOTE_CONFIGS = configs;
});
